Skip to main content

Cancel Applicant Appointment: RealPage Partner Exchange

POSThttps://api.propexo.com/v1/events/appointments/applicants/cancel/realpage_rpx
MethodInterface
UpdateProspectProspect Management
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    event_idstringrequired

    The Propexo unique identifier for the event

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    event_idstringrequired

    The Propexo unique identifier for the event

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/appointments/applicants/cancel/realpage_rpx
curl -X POST https://api.propexo.com/v1/events/appointments/applicants/cancel/realpage_rpx \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"event_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"event_id": "string"
}
}